# Class JTaxonomyApi

#### Hierarchy (View Summary)

- JBaseApi
  - JTaxonomyApi

- Defined in jamespot-user-api/src/apis/taxonomy/taxonomy.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

autocomplete
autocompleteHierarchy
autocompleteList
create
list

## Constructors

### constructor

- new JTaxonomyApi(jApi: JamespotUserApi): JTaxonomyApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JTaxonomyApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### autocomplete

- autocomplete(
  idTaxonomy: string,
  query: string,
  ): Promise<ApiWrapper<jObjectAutocomplete[], BaseMessages>>

  autocomplete return a list of tags

  #### Parameters

  - idTaxonomy: string

    taxonomy id

  - query: string

    search characters

  #### Returns Promise<ApiWrapper<jObjectAutocomplete[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/taxonomy/taxonomy.ts:42

### autocompleteHierarchy

- autocompleteHierarchy(
  payload: AutocompleteHierarchy,
  ): Promise<ApiWrapper<PagingResults<jObjectAutocomplete>, BaseMessages>>

  #### Parameters

  - payload: AutocompleteHierarchy

  #### Returns Promise<ApiWrapper<PagingResults<jObjectAutocomplete>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/taxonomy/taxonomy.ts:61

### autocompleteList

- autocompleteList<T = jObjectAutocomplete>(
  __namedParameters: AutoCompleteList,
  ): Promise<ApiWrapper<PagingResults<T>, BaseMessages>>

  #### Type Parameters

  - T = jObjectAutocomplete

  #### Parameters

  - __namedParameters: AutoCompleteList

  #### Returns Promise<ApiWrapper<PagingResults<T>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/taxonomy/taxonomy.ts:52

### create

- create<T = jObjectLittle>(
  __namedParameters: TaxonomyCreate,
  ): Promise<ApiWrapper<T, BaseMessagesOne>>

  #### Type Parameters

  - T = jObjectLittle

  #### Parameters

  - __namedParameters: TaxonomyCreate

  #### Returns Promise<ApiWrapper<T, BaseMessagesOne>>

  - Defined in jamespot-user-api/src/apis/taxonomy/taxonomy.ts:25

### list

- list(): Promise<jObjectLittle[]>

  list all taxonomies (no pagination)

  #### Returns Promise<jObjectLittle[]>

  - Defined in jamespot-user-api/src/apis/taxonomy/taxonomy.ts:10